//========================================================

class TestAttr extends SceneElement {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        super.onSetup(data);
        this.add_variable("attr");
        this.add_variable("value");
    }
    //----------------------------------------------------
    draw(div,selected){

    //----------------------------------------------------

        if(selected.__data[this.attr]==this.value){
            super.draw(div,selected);
        }
    }
    //----------------------------------------------------

}
//========================================================

class TestClass extends SceneElement {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        super.onSetup(data);
        this.add_variable("cls");
    }
    //----------------------------------------------------
    draw(div,selected){

    //----------------------------------------------------

        var cls=eval(this.cls);
        if(selected instanceof cls){
            super.draw(div,selected);
        }
    }
    //----------------------------------------------------

}
//========================================================

